# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    wget(
        "http://srvtemplates.ad.tranquil.it/binary_cache/windres",
        "/usr/local/bin/windres",
        sha256="035d0036e0968c4b21fe180b1938694baaf3cb78b8a0c146559e6d8fbedb7e06",
    )
    run("chown root:wheel /usr/local/bin/windres")
    run("chmod 755 /usr/local/bin/windres")
    # Compile
    mkdirs("/var/build")
    run("git clone https://github.com/ibv/LDAP-Admin.git /var/build")
    version = "0.0.%s" % run(r"git -C /var/build rev-list --count master").strip()
    control.version = "%s-%s" % (version, control.version.split("-", 1)[-1])
    control.save_control_to_wapt()
    run(r'git -C /var/build submodule update --progress --init -- "submodules/mORMot2"')
    run('/Applications/Lazarus/lazbuild --add-package-link /var/build/submodules/mORMot2/packages/lazarus/mormot2.lpk --ws=cocoa')

    run("/Applications/Lazarus/lazbuild /var/build/Source/LdapAdmin.lpi --ws=cocoa --build-mode=Macos")
    # WAPT PAckage prepare
    filecopyto("/var/build/Source/LdapAdmin", "LdapAdmin")
